Subject: bug#68246: 30.0.50; Add non-TS mode as extra parent of TS modes

From: Dmitry Gutov <[email-masked]>
Date: Mon, 8 Jan 2024 22:05:43 +0200

On 08/01/2024 21:57, Eli Zaretskii wrote:
>> From: Stefan Kangas<[email-masked]>
>> Date: Mon, 8 Jan 2024 11:18:41 -0800
>> Cc:[email-masked],[email-masked],[email-masked]
>>
>> Eli Zaretskii<[email-masked]>  writes:
>>
>>> Please don't call it "language".  That'd be confusing.  LSP is about
>>> programming languages, so "language" is natural there.  But in Emacs,
>>> a major mode is more general than that.  For example, it is not
>>> unthinkable to consider mail-mode to be the extra-parent of
>>> message-mode (or vice versa) -- but what is the "language" in that
>>> case?
>> Isn't the language for such modes in this paradigm just the empty set?
> No.  The "language" there is "text", except that it's silly to call
> that "language".

If it was just "text", we wouldn't need different highlighting rules in 
message-mode or log-edit-mode, would we?